Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.guids
Class BDGUIDPersist

    java.lang.Object
      com.ejie.r01f.guids.BDGUIDPersist

All Implemented Interfaces:
  GUIDPersist

public class BDGUIDPersist
extends java.lang.Object
implements GUIDPersist

Se encarga del acceso a base de datos para la generacion de GUIDs. Si no se facilitan las propiedades para acceder a la tabla de UIDs, se utiliza la tabla de uids de la base de datos de R01F

Constructor Summary
`BDGUIDPersist()` Creates new UIDPersist

Method Summary
`Key` | `getHighKeyValue(GUIDDispenserDef dispDef)` Carga el valor de High
`boolean` | `updateGUID(GUIDDispenserDef dispDef, Key newHighKey)` Actualiza el valor de un guid

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BDGUIDPersist

    public BDGUIDPersist()

  Creates new UIDPersist

Method Detail

### getHighKeyValue

    public Key getHighKeyValue(GUIDDispenserDef dispDef)
                        throws GUIDDispenserException

  Carga el valor de High

  Specified by:
    `getHighKeyValue` in interface `GUIDPersist`
  Returns:
    El nuevo valor de high
  Throws:
    `UIDDispenserException:` - Si hay errores
    `GUIDDispenserException`

### updateGUID

    public boolean updateGUID(GUIDDispenserDef dispDef,
                              Key newHighKey)
                       throws GUIDDispenserException

  Actualiza el valor de un guid

  Specified by:
    `updateGUID` in interface `GUIDPersist`
  Returns:
    true si se actualiza bien y false si no es asi
  Throws:
    `UIDDispenserException` - si hay errores
    `GUIDDispenserException` - si hay errores

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD